using System;
using System.Collections.Generic;
using UnityEngine;

namespace UVC.Twin.MonitoringUI
{
    [CreateAssetMenu(fileName = "MonitoringUIConfig", menuName = "UVC/Monitoring UI Config")]
    public class MonitoringUIConfig : ScriptableObject
    {
        [SerializeField] public List<ShortcutTabMapping> ShortcutMappings = new();
        [SerializeField] public List<NamedItemData> DrawerItems = new();
    }

    [Serializable]
    public class ShortcutTabMapping
    {
        [SerializeField] public InfoShortcutData Shortcut;
        [SerializeField] public List<NamedItemData> Tabs = new();
        [SerializeField] public string DefaultActiveTabId;
    }
}
